#
# spec file for package perl-XML-DOM (Version 1.31)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  expat perl-HTML-Parser perl-Parse-Yapp perl-URI perl-XML-Parser perl-XML-RegExp perl-libwww-perl perl-libxml-perl
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs expat file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-HTML-Parser perl-Parse-Yapp perl-URI perl-XML-Parser perl-XML-RegExp perl-libwww-perl perl-libxml-perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-XML-DOM
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Provides:     p_xmldom XML-DOM
Obsoletes:    p_xmldom
Autoreqprov:  on
Summary:      Perl extension to XML::Parser
Version:      1.31
Release:      34
Source:       XML-DOM-%{version}.tar.bz2
Patch:        XML-DOM-%{version}.diff
BuildRoot:    %{_tmppath}/%{name}-build

%description
http://www.w3.org/DOM/
This is a Perl extension to XML::Parser. It adds a new 'Style' to XML::Parser,
called 'Dom', that allows XML::Parser to build an Object Oriented datastructure
with a DOM Level 1 compliant interface.
This is a beta version and although there will not be any major API changes,
minor changes may occur as we get feedback
from the people on the perl-xml mailing list. [You can subscribe to
this list by sending a message to subscribe-perl-xml@lyris.activestate.com.]
For documentaion read the manpages XML::Dom and XML::DOM::UTF8.

Authors:
--------
    Enno Derksen <enno@att.com>
    Clark Cooper <coopercc@netheaven.com>

SuSE series: perl

%prep
%setup -n XML-DOM-%{version}
%patch

%build
perl Makefile.PL
make
#make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-XML-DOM
cd $RPM_BUILD_ROOT%{perl_sitearch}/auto/XML-DOM
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc Changes README MANIFEST samples bin FAQ.xml
%{perl_sitearch}/auto/XML-DOM
%{perl_sitearch}/../XML/*
%doc %{_mandir}/man3/*
/var/adm/perl-modules/perl-XML-DOM

%changelog -n perl-XML-DOM
* Thu Aug 16 2001 - rvasice@suse.cz
- update to 1.31
* Fri Nov 10 2000 - cihlar@suse.cz
- renamed p_xmldom -> perl-XML-DOM
- bzipped sources
- fixed file list
* Mon Aug 21 2000 - ro@suse.de
- adapted for perl-5.6
* Thu Apr 20 2000 - cihlar@suse.cz
- added BuildRoot
* Fri Jan 21 2000 - ro@suse.de
- fixed filelist: use macro for mandir
* Tue Jan 18 2000 - ke@suse.de
- Fix %%files list.
* Mon Jan 10 2000 - ke@suse.de
- Update: version 1.25.
- Use %%{version} instead %%{ver} (predefined).
* Mon Jan 10 2000 - ke@suse.de
- Add missing DOM.pm to the %%files list (#1630).
- Use version macro.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 04 1999 - ke@suse.de
- New package: version 1.23.
